Package lxml :: Package html :: Module formfill :: Class DefaultErrorCreator |
[frames] | no frames]

# Class DefaultErrorCreator

source code

    object --+
             |
            DefaultErrorCreator

Instance Methods
__init__(self, **kw) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
__call__(self, el, is_block, message) | source code
Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables
| insert_before = `True`
| block_inside = `True`
| error_container_tag = ``'``div``'``
| error_message_class = ``'``error-message``'``
| error_block_class = ``'``error-block``'``
| default_message = ``'``Invalid``'``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, **kw) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)